> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUser metric benchmarks

> Get the benchmarks for each metric for an end user



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/benchmarks
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/benchmarks:
    get:
      tags:
        - EndUserCalculations
      summary: Get EndUser metric benchmarks
      description: Get the benchmarks for each metric for an end user
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  benchmarks:
                    items:
                      $ref: '#/components/schemas/MetricBenchmarksSchema'
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    MetricBenchmarksSchema:
      properties:
        date_range:
          enum:
            - latest
            - last_30_days
            - last_90_days
            - last_120_days
            - last_180_days
            - last_365_days
            - next_30_days
            - next_60_days
            - next_90_days
            - next_180_days
            - last_1_calendar_months
            - last_3_calendar_months
            - last_4_calendar_months
            - last_6_calendar_months
            - last_12_calendar_months
            - last_15_calendar_months
            - last_24_calendar_months
            - last_1_full_calendar_months
            - last_2_full_calendar_months
            - last_3_full_calendar_months
            - last_6_full_calendar_months
            - last_12_full_calendar_months
            - last_60_days
            - last_45_days
            - last_2_calendar_months
          example: last_180_days
          type: string
        label:
          description: Metric label, slugified
          example: unique_transactions
          type: string
        percentile:
          description: The implied percentile based on ranking and sample size
          example: 0.75
          nullable: true
          type: number
        rank:
          description: Ranking of metric relative to datapoints. 1 is best
          example: 22
          nullable: true
          type: integer
        sample_size:
          description: The number of datapoints to compare to
          example: 42
          type: integer
        scope:
          default: user
          description: What end users are included in metric comparisons
          enum:
            - user
            - heron
          example: user
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````